Introduction

The XFX 3 plug-in pack was developed to give current Sound Forge users the ability to preview the effects in real-time and to give users of other DirectX-compatible applications the ability to use the high-quality effects that Sound Forge users have grown to love.

XFX 3 contains six discrete plug-ins: Amplitude Modulation, Distortion, Vibrato, Flange/Wah-Wah, Gapper/Snipper, and Smooth/Enhance.


Using XFX 3

XFX 3 can be used in any Microsoft DirectX-compatible host application. The quality and functionality of the plug-ins will be the same in each host application; however, the method of previewing the effects will be different. Consult your host application’s documentation to determine the previewing methods available to you.

Not all host applications’ DirectX implementations are the same. This may cause some problems involving real-time previewing.

Which effect do you want to use?

Amplitude Modulation

Distortion

Vibrato

Flange/Wah-Wah

Gapper/Snipper

Smooth/Enhance


Amplitude Modulation

  1. Open the Amplitude Modulation dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

b. Drag the Wet out fader to set the level of the modulated signal that will be mixed into the output.

c. Drag the Amplitude fader to set the minimum gain of the modulated signal.

d. Adjust the graph as desired.

e. Set the duration of the modulating frequency:

  • Drag the Mod freq. slider to specify the frequency of the gain waveform that will be applied to the input signal. To achieve a slow tremolo, use a low frequency.

—or—

  • If your host application supports tempo-based effects, select the Tempo sync check box and use the Modulation period controls to set the frequency of the modulating signal in musical time.

As frequencies exceed 20 Hz, modulation is audible not as a change in amplitude, but as additional frequency side bands.

The amplitude graph represents the gain that will be applied to the input signal over time. The vertical line should be used as a guide to center the period, and the horizontal line represents the middle of the modulating range. You can edit the gain waveform by adding and adjusting points.

  • Drag the small boxes (envelope points) up or down. When the envelope is below 0 dB, the signal is attenuated.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, single-click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  • Click the Reset button to reset the graph.

Because the envelope represents a signal that is repeated at the specified frequency, clicks are likely to occur when the envelope's start and end points do not line up. If you are sure you have drawn the period correctly and still hear transition clicks, select the Blend graph edges check box to apply an edge-smoothing algorithm that will help eliminate the clicks.

Drag the Stereo pan slider to offset the phase of the two channels' amplitude gain envelopes by the specified percentage. This creates a back-and-forth panning effect between the two channels.

Panning is only available for stereo files.

You can apply a low-pass filter to tailor the high-frequency content in your processed signal.

Select the Low-pass start freq. check box and drag the slider if you want to filter high frequencies. Move the slider to the left to filter more high-frequency material and to the right to leave more high-frequency material. The results are a brighter or more muted sound.

Amplitude Modulation

Amplitude Modulation adjusts the gain of a signal at a specified frequency. You can use modulation to create tremolo guitar effects or increase the spatial intensity of a recording.

What do you want to do?

Apply simple modulation

Adjust the graph

Apply stereo panning

Apply a low-pass filter


Distortion

  1. Open the Distortion dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

b. Drag the Wet out fader to set the level of the distorted signal that will be mixed into the output.

c. Adjust the envelope graph.

The Input vs. Output level graph shows the gain that will be applied to the input signal, depending on its level over time. The diagonal line, referred to as the No Gain line, indicates where the input and output levels are equal (a ratio of 1 to 1). When an envelope point is below the line, signal attenuation occurs. This allows you to create a compression curve of your choice by adding points to the graph:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete a envelope point, single-click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

By adjusting the graph, you can generate compression, limiting, noise gating, and expansion effects by moving the envelope points manually. To view examples of common graph shapes, look at some of the included presets.

The Distortion plug-in allows you to apply different envelopes to the positive and negative components of a signal. Modifying the positive and negative polarity of a selection separately can create distinctive distortions.

  1. Choose a setting from the Graph polarity edit mode drop-down list:

Setting | Description
Individual | Enables two distinct sets of envelope points.
Synchronize | Ties the positive and negative graph together.
Mirror X | Creates opposing positive and negative points about the No Gain line.
Mirror Y
Mirror X/Y

  2. Click the Positive/Negative button to specify which graph you want to edit.

  3. Edit the graph as desired.

The Slew rate slider controls how much the sound wave is allowed to change over time, which can produce useful effects even without applying any distortion.

Using a low slew rate means that the signal is not allowed to deviate very much at all, causing a bubbling effect. Low slew rates should be used on audio signals with headroom to keep clipping to a minimum.

Increasing the slew rate allows the signal to change more dramatically, meaning the signal will be allowed to follow its original path.

Using the distortion graph with a large deviation from the no-gain line will produce unwanted high-frequency buzzing. Several presets have been included to demonstrate useful distortions created with little deviation. You can apply a low-pass filter to tailor the high-frequency content in your processed signal.

Select the Low-pass start freq. check box and drag the slider if you want to filter high frequencies. Move the slider to the left to filter more high-frequency material and to the right to leave more high-frequency material. The results are a brighter or more muted sound.

Distortion

Distortion allows you to precisely tailor gain at all input levels of a signal. You can use the Distortion plug-in to create dramatic to subtle distortion, simple compression, expansion, and noise gates.

What do you want to do?

Apply a simple distortion

Adjust the envelope graph

Modify negative and positive signals

Adjust the slew rate

Apply a low-pass filter


Vibrato

  1. Open the Amplitude Modulation dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Output Gain fader to set the signal level after processing.

b. Drag the Semitones slider to set the maximum range of the vibrato.

c. Adjust the graph as desired to set the waveform of the modulating signal.

d. Drag the Modulation freq. slider to specify the frequency of the modulation period that will be applied to the input signal.

Low frequencies (0.1 to 2 Hz) create rapid pitch bends. Higher frequencies (15 Hz and up) modulate the sections so quickly that instead of hearing pitch changes, new sideband frequencies are heard.

The graph maps a period of an output frequency modulation. The center horizontal line shows where the input and output frequencies are equal. When the envelope is above the horizontal center line, the frequency of the input level will be increased. When the envelope is below the center horizontal line, the frequency of the signal will be decreased.

By adding and adjusting points on the graph, you can create frequency modulation or pitch-shifting effects.

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, single-click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  • Click the Reset button to reset the graph.

Tips:

  • Because the envelope represents a period that is repeated at the specified freguency, clicks are likely to occur when the envelope's start and end points do not line up. If you are sure you have drawn the period correctly and still hear transition clicks, select the Blend graph edges check box to apply an edge-smoothing algorithm that will help eliminate the clicks.

  • Use the center horizontal line as a starting point to balance increases and decreases in signal frequency. Examples of common graph shapes are included as presets.

  • When the graph is a straight horizontal line, the signal will be pitch-shifted.

Vibrato

The Vibrato plug-in uses frequency modulation to change the pitch of a signal over time.

What do you want to do?

Apply a simple vibrato

Adjust the graph


Flange/Wah-Wah

  1. Open the Flange/Wah-Wah dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Click the Flange radio button.

b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

c. Drag the Wet out fader to set the level of the processed signal that will be mixed into the output.

d. Set the duration of the modulating frequency:

  • Drag the Rate slider to set the modulating frequency in Hertz. Low frequencies create a slow, sweeping flange, while higher frequencies create fast flanging.

—or—

  • If your host application supports tempo-based effects, select the Tempo sync check box and use the Period controls to set the frequency of the modulating signal in musical time.

e. Drag the Depth slider to specify the amount of frequency modulation applied to the signal.

  1. Open the Flange/Wah-Wah dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Click the Phaser radio button.

b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

c. Drag the Wet out fader to set the level of the processed signal that will be mixed into the output.

d. Set the duration of the modulating frequency:

  • Drag the Rate slider to set the modulating frequency in Hertz.

—or—

  • If your host application supports tempo-based effects, select the Tempo sync check box and use the Period controls to set the frequency of the modulating signal in musical time.

e. Drag the Depth slider to determine the range of frequencies that experience phase shifting.

f. Drag the Center frequency slider to set the frequency around which the sweep of the Phaser effect is centered.

g. Drag the Resonance slider to specify the amount of phase shifting that takes place. When the Resonance setting is high, the range of frequencies processed is smaller, yet more pronounced.

  1. Open the Flange/Wah-Wah dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Click the Wah-Wah radio button.

b. Drag the Dry out fader to set the level of the unprocessed signal that will be mixed into the output.

c. Drag the Wet out fader to set the level of the processed signal that will be mixed into the output.

d. Set the duration of the modulating frequency:

  • Drag the Rate slider to set the modulating frequency in Hertz.

—or—

  • If your host application supports tempo-based effects, select the Tempo sync check box and use the Period controls to set the frequency of the modulating signal in musical time.

e. Drag the Depth slider to determine the sweep range of the band-pass filter.

f. Drag the Center frequency slider to set the frequency around which the sweep of the Wah-Wah effect is centered.

g. Drag the Resonance slider to specify the amount of band-pass filtering that takes place. When the Resonance setting is high, the range of frequencies processed is smaller, yet more pronounced.

Flange/Wah-Wah

Flange/Wah-Wah is used to create the sweeping effects often heard in guitar recordings from the 1960s and techno-sounds of today. With this effect, you can recreate the sounds that flanger, wah-wah, and phaser guitar pedals are famous for.

What do you want to do?

Apply a flanger effect

Apply a phaser effect

Apply a wah-wah effect


Gapper/Snipper

The Gapper/Snipper is a powerful plug-in that allows you to produce tremolo and warble effects by cutting sections from the sound file or inserting silence at a set frequency.

  1. Open the Gapper/Snipper dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Click the Gapper or Snipper radio button.

The Gapper inserts silent sections in your file at the frequency you specify and will slow playback of your audio file. The Snipper cuts sections from your file at the frequency you specify and will speed up your audio.

b. Drag the Freq. to gap/snip events slider to set the frequency at which sections will be cut from or inserted into your file.

c. Drag the Length of one event slider to set the length of the sections that will be cut from or inserted into your file. An estimated length of the processed file is displayed in the Percent of Original field.

You can create fuzz effects by using a high Freq. to gap/snip events setting and a short Length of one event setting.

  3. Drag the Fade edges of each event slider to fade the edges of cut or inserted events. You can use fading to prevent glitches.


Smooth/Enhance

It is common to have a signal that has too much high end or is a little dead and needs to be doctored up. Using an equalizer can eliminate or boost a high end, but it is often too sharp. The Smooth/Enhance plug-in is tuned to give the right amount of frequency adjustment to liven or dull-down your signal.

  1. Open the Smooth/Enhance dialog.

  2. Choose a preset from the Name drop-down list, or drag the Operation slider toward Smooth or Enhance:

  • Smooth will smooth out fast-changing transients in a sound and is useful for removing glitches.

  • Enhance boosts the very highest frequencies (close to the Nyquist frequency) in the sound file, making the sound file sound more vivid. It is useful for compensating for the effects of downsampling or for bringing out very fast transients in a sound file.

Since the enhance function boosts frequencies near the Nyquist frequency, the current sample rate will determine what frequencies will be affected. At 44,100 Hz, the effect can be very subtle.


Troubleshooting

This section contains helpful remedies to common performance issues involving XFX 3.

What do you want to learn more about?

Stuttering during real-time preview

Glitches when processing selections in Sound Forge


Stuttering During Real-Time Previewing

If you are experiencing problems when previewing XFX plug-ins in real-time, try one of the following:

Increase the DirectX buffering size

In Sound Forge, right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu. Decrease the Buffers to process per second and/or increase the Total Playback Buffers to reduce gapping. This will also make the controls less responsive, however. Expect to wait a second or so before changes are heard during the preview.

Use a faster processor with fast floating-point arithmetic

When using the plug-ins in Sound Forge, there is a CPU usage meter at the bottom of every plug-in window.

This will give you a rough indication of how your computer is coping with the real-time preview. If the usage ever goes above 100%, stuttering problems will most likely occur.


Glitches When Processing Selections in Sound Forge

If you experience small glitches in the transitions between selected material and nonselected material, try enabling the Crossfade edges feature (Sound Forge 4.0d or later). This feature is especially useful when pitch-shifting or time compressing a small portion of audio in the middle of a file.

  1. Right-click the title bar of an XFX plug-in window and choose Preview Configuration from the shortcut menu.

  2. Select the Crossfade edges check box and specify a crossfade time.

  3. Click the OK button.

The Crossfade edges setting is plug-in dependent. This means that each plug-in maintains its own setting.


Welcome

Go to the XFX 3 page on the Sony Pictures Digital Web site

©2004. Sony Pictures Digital Inc.

All Rights Reserved

Rev. September 9, 2004